<div>
<%= controller.dp_select(id)[0] %>

  <select id="dp_name" name="dp_name">
    <%= dp_possibs.each do |dp| %>
      <option value="<%= dp[3] %>" data-plant="<%= dp[4] %>"><%= dp[0] %></option>
    <% end %>
  </select>

  <%= link_to({ :action => 'show_dp_fields', :id => id, :controller => 'plants', :show_all => show_all == 'false'},
              { :remote => true}) do %>
    <button type="button">
      <%= show_all == 'true' ? 'nur dazugehörige' : 'alle' %> Einleitstellen anzeigen
    </button>
  <% end %>

  <%= filter_link(id, 'get_dp_possibs_json', 'pl_name', show_all, 'Anlagen')%>
</div>

<div>
  <!--  Action is handled by js. See bottom of file-->
  <button type="button" id="submit-dp" title="Anlage zur Liste hinzufügen.">Hinzufügen</button>
  <button type="button" id="hide_dps_field" title="Anlage nicht zur Liste hinzufügen.">Abbrechen</button>
</div>


<script  type="text/javascript" language="javascript">

$("#submit-dp").click(function(event){
    event.preventDefault();
    setConfirm = true;

    if ($('select[name="dp_name"] option:selected').attr('data-plant').length > 0) {
        setConfirm = confirm('Dieser Einleitstelle ist bereits einer Anlage zugeordnet. Möchten Sie diese Einleitstelle wirklich dieser Anlage zuordnen? Die bisherige Zuordnung wird entfernt!');
    }

    if (setConfirm == true) {
      $.ajax({
          url: '<%= url_for({:action => 'add_dp', :id => id, :controller => 'plants'}) %>',
          data: 'dp_id=' + $('#dp_name').val(),
          type: "GET",
          dataType: "html",
          success: function (text) {
              $("#dp-view").html(text)
          }
      })
    }
});

$("#hide_dps_field").click(function(event){
    event.preventDefault();
    $.ajax({
        url: '<%= url_for({:action => 'hide_dp_fields', :id => id, :controller => 'plants'}) %>',
        type: "GET",
        dataType: "html",
        success: function (text) {
            $("#dp-view").html(text)
        }
    })
});







// TODO: Validation

</script>